/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

var ideAluEU = 0;

function traerEstatus(ide) {
    document.getElementById("btnCambiarEstatus").disabled = false;
    ideAluEU = 0;
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/traerEstatusEU',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideAlu: ide},
        // especifica si será una petición POST o GET
        type: 'GET',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("contEstatus").innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> Cargando...</strong>';
        },
        success: function (respuesta) {
            document.getElementById("contEstatus").innerHTML = respuesta;
            ideAluEU = ide;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}

$("#btnModCerrarDetallesAlu").click(function () {
    ideAluEU = 0;
});

$("#btnCambiarEstatus").click(function () {
    var valor = $("#sel-estatus").val();
    switch (valor) {
        case "default":
            alert("DEBE ELEGIR UNA OPCIÓN");
            break;
        case undefined:
            document.getElementById("btnCambiarEstatus").disabled = true;
            break;
        default:
            cambiarEstatus(valor, ideAluEU);
            break;
    }
});

function cambiarValor(valor, ideAlu, letra, prefijo) {
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/alumno-actualizar-valores',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {valor: valor, ideAlu: ideAlu, letra: letra},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'Json',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            $("#gif" + prefijo + ideAlu).show();
        },
        success: function (respuesta) {
            if (respuesta == 'true') {
                //alert("Correcto");
                $("#verde" + prefijo + ideAlu).show();
                $("#verde" + prefijo + ideAlu).hide(3000);
            } else {
                alert("Error al guardar datos");
            }
            $("#gif" + prefijo + ideAlu).hide();
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            console.log(xhr);
            console.log(status);
            $("#gif" + prefijo + ideAlu).hide();
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
} // cambiarValor

function cambiarEstatus(valor, ide) {
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/traerEstatusEU',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {valor: valor, ideAlu: ide},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("conEst-" + ide).innerHTML = '<i class="fa fa-pulse fa-spinner"></i>';
            document.getElementById("contEstatus").innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> Cargando...</strong>';
        },
        success: function (respuesta) {
            document.getElementById("contEstatus").innerHTML = respuesta;
            document.getElementById("btnCambiarEstatus").disabled = true;
            document.getElementById("conEst-" + ide).innerHTML = '<b>' + valor + '</b>';
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("conEst-".ide).innerHTML = '<b style="color: red;">ERROR</b>';
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}



function detalleAlumno(ideAlu) {
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/detalles-alu-eu',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideAlu: ideAlu},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            $("#gif").show();
        },
        success: function (respuesta) {
            alert("Correcto");
            $("#gif").hide();
            document.getElementById('contTablaDetallesAlu').innerHTML = respuesta;

        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            console.log(xhr);
            console.log(status);
            $("#gif").hide();
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
} // guardarProcedencia